package com.xy.utils.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * 设备联网状态 1 在线 2 离线
 *
 * @author 谭斌
 */
@Getter
@ToString
@AllArgsConstructor
public enum DeviceNetSateType {


    CONNECTED(1, "在线"),
    DISCONNECT(2, "离线");

    /**
     * 编码值
     */
    private Integer code;

    /**
     * 描述
     */
    private String description;


    /**
     * 通过code获取enum
     *
     * @param code
     * @return
     */
    public static DeviceNetSateType getEnumByCode(Integer code) {
        DeviceNetSateType[] values = values();
        for (DeviceNetSateType value : values) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }
}
